%define upstream_name    AutoXS-Header
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Container for the AutoXS header files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch


%description
This module is a simple container for the newest version of the the AutoXS
manpage header file 'AutoXS.h'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.20.0-11.mga10
+ Revision: 2197718
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.20.0-10.mga9
+ Revision: 1802136
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1492895
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1265727
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1022686
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 929858
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 744549
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 683579
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 509200
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 363266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 22029
- cleaning spec file
- imported package perl-AutoXS-Header

